Class | CGI::Cookie
In: | lib/action_controller/cgi_ext/cookie.rb
Parent: | DelegateClass(Array)

### Methods

http_only= new parse respond_to? secure= to_s

### Attributes

domain | [RW] |
expires | [RW] |
http_only | [R] |
name | [RW] |
path | [RW] |
secure | [R] |
value | [RW] |

### Public Class methods

new(name = '', *value)

Creates a new CGI::Cookie object.

The contents of the cookie can be specified as a `name` and one or more `value` arguments. Alternatively, the contents can be specified as a single hash argument. The possible keywords of this hash are as follows:

- `:name` - The name of the cookie. Required.
- `:value` - The cookie‘s value or list of values.
- `:path` - The path for which this cookie applies. Defaults to the base directory of the CGI script.
- `:domain` - The domain for which this cookie applies.
- `:expires` - The time at which this cookie expires, as a Time object.
- `:secure` - Whether this cookie is a secure cookie or not (defaults to `false`). Secure cookies are only transmitted to HTTPS servers.
- `:http_only` - Whether this cookie can be accessed by client side scripts (e.g. document.cookie) or only over HTTP. More details in msdn2.microsoft.com/en-us/library/system.web.httpcookie.httponly.aspx. Defaults to `false`.

These keywords correspond to attributes of the cookie object.

parse(raw_cookie)

Parses a raw cookie string into a hash of `cookie-name => cookie-object` pairs.

      cookies = CGI::Cookie::parse("raw_cookie_string")
        # => { "name1" => cookie1, "name2" => cookie2, ... }

### Public Instance methods

http_only=(val)

Sets whether the Cookie is an HTTP only cookie or not.

respond_to?(method, include_private = false)

FIXME: work around broken 1.8.7 DelegateClass#respond_to?

secure=(val)

Sets whether the Cookie is a secure cookie or not.

to_s()

Converts the Cookie to its string representation.

[Validate]